sampler2D backBuffer;
float r;
float g;
float b;
float ratio;

float4 Effect_Group_1_Effect1_Pass_0_Pixel_Shader_tinter_20(float2 tex : TEXCOORD0) : COLOR0
{
   float4 color;
    
   color = tex2D(backBuffer, tex.xy);

   float avg = (color.r + color.g + color.b) / 3.0f;
   
   float dr = avg * r;
   float dg = avg * g;
   float db = avg * b;

   color.r = color.r - (ratio * (color.r - dr));
   color.g = color.g - (ratio * (color.g - dg));
   color.b = color.b - (ratio * (color.b - db));
    
   return color;
}


technique ps20
{
   pass p1
   {
      VertexShader = null;
      PixelShader = compile ps_2_0 Effect_Group_1_Effect1_Pass_0_Pixel_Shader_tinter_20();
   }
}


